### Function

# Dex socket_connection_connect

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_socket_connection_connect (
      GSocketConnection* connection,
      GSocketAddress* address
    )

#### Description [src]

Wraps `g_socket_connection_connect_async()`.

Available since: 1.2

#### Parameters

`connection`

  Type: `GSocketConnection`

  A `GSocketConnection`.

  The data is owned by the caller of the function.

`address`

  Type: `GSocketAddress`

  A `GSocketAddress`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.